package com.yunzhi.marketing.xlk.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yunzhi.marketing.xlk.entity.Video;
import com.yunzhi.marketing.xlk.mapper.VideoMapper;
import com.yunzhi.marketing.xlk.service.IVideoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 视频表  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2021-05-18
 */
@Service
public class VideoServiceImpl extends ServiceImpl<VideoMapper, Video> implements IVideoService {
    @Autowired
    VideoMapper videoMapper;

    @Override
    public IPage<Video> getWxVideoActiveList(IPage<Video> pg, Integer orgId, Integer cityId, String buildingId, String name) {
        return videoMapper.getWxVideoActiveList(pg, orgId, cityId, buildingId, name);
    }
}
