package com.yunzhi.marketing.redpack.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 账户冻结记录 
 * </p>
 *
 * @author fxf
 * @since 2020-06-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaOrgAccountBlocked implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    /**
     * 账户ID
     */
    private String accountId;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 冻结金额 单位分
     */
    private Integer blockedBalance;

    /**
     * 冻结理由
     */
    private String blockedReason;

    /**
     * 冻结时间
     */
    private LocalDateTime createDate;

    /**
     * 状态
     */
    private Integer status;


}
